# RegionChooser

[RegionChooser](https://transfer.hft-stuttgart.de/gitlab/hft_gitlab/regionchooser) is a Java project. Its graphical interface allows to extract a specific region from [CityGML](https://www.opengeospatial.org/standards/citygml) and save it as a smaller CityGML file.

![RegionChooserScreenshot](region_chooser_screenshot.png)

It uses:

* Java 8
* JavaFX
* [Openlayers](https://openlayers.org/)

RegionChooser was developed during [SimStadt & SimStadt II](https://www.hft-stuttgart.de/forschung/projekte/aktuell/simstadt-20)  projects.

## Installation

`mvn clean package`

## Usage

`RegionChooser.bat` in Windows
`./RegionChooser.sh` in Linux
`./RegionChooser.command` in macOS

## Author

Eric Duminil, [HfT Stuttgart](https://www.hft-stuttgart.de/)

## Contributors

Matthias Betz, [HfT Stuttgart](https://www.hft-stuttgart.de/)

## License
[MIT](https://choosealicense.com/licenses/mit/)
